//==============================================================================
//
//   IllegalIdException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: IllegalIdException.java,v 1.2 2003/08/02 09:19:28 holleis Exp $

package org.graffiti.attributes;

/**
 * The <code>IllegalIdException</code> will be thrown if a method tries to add
 * an attribute at a location where another attribute already exists.
 *
 * @version $Revision: 1.2 $
 */
public class IllegalIdException
    extends RuntimeException
{
    //~ Constructors ===========================================================

    /**
     * Constructs an <code>IllegalIdException</code> with the specified detail
     * message.
     *
     * @param msg The detail message which is saved for later retrieval by the
     *        <code>getMessage()</code> method.
     */
    public IllegalIdException(String msg)
    {
        super(msg);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
