//==============================================================================
//
//   DeepCopy.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: DeepCopy.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.core;

/**
 * Guarantees a deep copy.
 *
 * @version $Revision: 1.2 $
 */
public interface DeepCopy
{
    //~ Methods ================================================================

    /**
     * Returns a deep copy of this object.
     *
     * @return A deep copy of this object.
     */
    public Object copy();
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
