//==============================================================================
//
//   DefaultAlgorithmResult.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: DefaultAlgorithmResult.java,v 1.3 2003/11/03 12:37:18 forster Exp $

package org.graffiti.plugin.algorithm;

import java.util.HashMap;
import java.util.Map;

/**
 * DOCUMENT ME!
 *
 * @author Paul
 */
public class DefaultAlgorithmResult
    implements AlgorithmResult
{
    //~ Instance fields ========================================================

    /** DOCUMENT ME! */
    protected Map resultMap = new HashMap();

    //~ Constructors ===========================================================

    /**
     * Constructor for DefaultAlgorithmResult.
     */
    public DefaultAlgorithmResult()
    {
        super();
    }

    /**
     * Constructor for DefaultAlgorithmResult.
     *
     * @param resultMap DOCUMENT ME!
     */
    public DefaultAlgorithmResult(Map resultMap)
    {
        super();
        this.resultMap = resultMap;
    }

    //~ Methods ================================================================

    /**
     * @see org.graffiti.plugin.algorithm.AlgorithmResult#getResult()
     */
    public Map getResult()
    {
        return this.resultMap;
    }

    /*
     * @see org.graffiti.plugin.algorithm.AlgorithmResult#addToResult(java.lang.String, java.lang.Object)
     */
    public void addToResult(String key, Object value)
    {
        this.resultMap.put(key, value);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
