//==============================================================================
//
//   ParameterOutOfBoundsException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ParameterOutOfBoundsException.java,v 1.3 2003/11/03 12:37:18 forster Exp $

package org.graffiti.plugin.algorithm;

/**
 * This exception is thrown if anyone tries to assign an invalid value to a
 * <code>LimitableParameter</code>.
 *
 * @version $Revision: 1.3 $
 *
 * @see org.graffiti.plugin.parameter.LimitableParameter
 */
public class ParameterOutOfBoundsException
    extends Exception
{
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
