//==============================================================================
//
//   NodeEditComponent.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: NodeEditComponent.java,v 1.3 2003/11/03 12:15:56 forster Exp $

package org.graffiti.plugin.editcomponent;

import javax.swing.JComponent;

import org.graffiti.plugin.Displayable;

/**
 * This class provides an edit component for selecting a single node.
 *
 * @see org.graffiti.graph.Node
 * @see SingleGraphElementEditComponent
 */
public class NodeEditComponent
    extends SingleGraphElementEditComponent
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>NodeEditComponent</code>.
     *
     * @param disp DOCUMENT ME!
     */
    public NodeEditComponent(Displayable disp)
    {
        super(disp);
    }

    //~ Methods ================================================================

    /**
     * @see org.graffiti.plugin.editcomponent.ValueEditComponent#getComponent()
     */
    public JComponent getComponent()
    {
        return super.getComponent();
    }

    /*
     * @see org.graffiti.plugin.editcomponent.AbstractValueEditComponent#setDisplayable(org.graffiti.plugin.Displayable)
     */
    public void setDisplayable(Displayable attr)
    {
    }

    /**
     * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setValue()
     */
    public void setValue()
    {
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
