//==============================================================================
//
//   GraphMLException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraphMLException.java,v 1.3 2004/04/11 09:54:29 schnoy Exp $

package org.graffiti.plugins.ios.importers.graphml;

import java.io.IOException;

/**
 * This exception is thrown when errors occur during parsing.
 *
 * @author ruediger
 */
public class GraphMLException
    extends IOException
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>GraphMLException</code> from a given
     * <code>Throwable</code>.
     *
     * @param cause the <code>Throwable</code> that caused the exception to be
     *        thrown.
     */
    public GraphMLException(Throwable cause)
    {
        super(cause.getMessage());
        this.initCause(cause);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
