//==============================================================================
//
//   NodeAttributeCreator.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: NodeAttributeCreator.java,v 1.3 2004/04/11 09:54:29 schnoy Exp $

package org.graffiti.plugins.ios.importers.graphml.parser;

import org.graffiti.attributes.CollectionAttribute;

import org.graffiti.graphics.NodeGraphicAttribute;

/**
 * Class <code>NodeAttributeCreator</code> is used for creating
 * <code>Node</code> attributes.
 *
 * @author ruediger
 */
class NodeAttributeCreator
    extends AttributeCreator
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>NodeAttributeCreator</code>.
     */
    NodeAttributeCreator()
    {
        super();
    }

    //~ Methods ================================================================

    /*
     *
     */
    CollectionAttribute createDefaultAttribute()
    {
        return new NodeGraphicAttribute();
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
