//==============================================================================
//
//   UnsatisfiedConstraintException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: UnsatisfiedConstraintException.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

package org.graffiti.session;

/**
 * An <code>UnsatisfiedConstraintException</code> is thrown when a constraint
 * to a graph is not satisfied.
 *
 * @see java.lang.Exception
 */
public class UnsatisfiedConstraintException
    extends Exception
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>UnsatisfiedConstraintException</code> with
     * <code>null</code> as its detail message.
     */
    public UnsatisfiedConstraintException()
    {
        super();
    }

    /**
     * Constructs a new <code>UnsatisfiedConstraintException</code> with the
     * specifiecd detail message.
     *
     * @param msg DOCUMENT ME!
     */
    public UnsatisfiedConstraintException(String msg)
    {
        super(msg);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
