//==============================================================================
//
//   NoCollectionAttributeException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: NoCollectionAttributeException.java,v 1.2 2003/08/02 09:19:28 holleis Exp $

package org.graffiti.attributes;

/**
 * The <code>NoCollectionAttributeException</code> will be thrown if a method
 * tries to add an attribute to an attribute which is no
 * <code>CollectionAttribute</code>.
 *
 * @version $Revision: 1.2 $
 */
public class NoCollectionAttributeException
    extends RuntimeException
{
    //~ Constructors ===========================================================

    /**
     * Constructs a <code>NoCollectionAttributeException</code> with the
     * specified detail message.
     *
     * @param msg The detail message which is saved for later retrieval by the
     *        <code>getMessage()</code> method.
     */
    NoCollectionAttributeException(String msg)
    {
        super(msg);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
